---
title: "Affiliate & Service Disclosure | WePumpSepticTanks"
source_url: "https://wepumpseptictanks.com/disclaimer/"
canonical_url: "https://wepumpseptictanks.com/disclaimer/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "How WePumpSepticTanks.com works, our partnerships with licensed operators, and Amazon affiliate disclosure."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://wepumpseptictanks.com/disclaimer/](https://wepumpseptictanks.com/disclaimer/)
>
> *How WePumpSepticTanks.com works, our partnerships with licensed operators, and Amazon affiliate disclosure.*

# Affiliate & Intermediary Disclosure

**Last updated:** 2026

## 1. How This Service Works

WePumpSepticTanks.com operates as an independent comparison and referral service. We connect homeowners relying on off-mains drainage with Environment Agency (EA), SEPA, and NRW licensed vacuum tanker operators across the UK, and EPA-compliant haulers in the US. We do not operate vacuum tankers directly.

## 2. Amazon UK Associates Program

WePumpSepticTanks.com is a participant in the Amazon Services LLC Associates Program, an affiliate advertising program designed to provide a means for sites to earn advertising fees by advertising and linking to Amazon.co.uk (Associate ID: `pureds-21`). When you purchase septic maintenance products (such as biological treatment pods) through our links, we may earn a small commission at zero extra cost to you.

## 3. Data Protection

Our organization is officially registered with the Information Commissioner's Office (ICO) under registration number **ZC136598**. All quote requests are handled in full compliance with UK GDPR.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://wepumpseptictanks.com/disclaimer/](https://wepumpseptictanks.com/disclaimer/).
